/**
 *
 * End all selenium server sessions at once.
 *
 * @uses protocol/sessions, protocol/session
 * @type utility
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
var endAll = function endAll() {
    var _this = this;

    return this.sessions().then(function (res) {
        var sessionCommands = [];

        var _iteratorNormalCompletion = true;
        var _didIteratorError = false;
        var _iteratorError = undefined;

        try {
            for (var _iterator = res.value[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                var session = _step.value;

                sessionCommands.push(_this.session('delete', session.id));
            }
        } catch (err) {
            _didIteratorError = true;
            _iteratorError = err;
        } finally {
            try {
                if (!_iteratorNormalCompletion && _iterator['return']) {
                    _iterator['return']();
                }
            } finally {
                if (_didIteratorError) {
                    throw _iteratorError;
                }
            }
        }

        return _this.unify(sessionCommands);
    });
};

exports['default'] = endAll;
module.exports = exports['default'];
