/**
 *
 * Perform a drag right on an element.
 *
 * @param {String} selector   element to drag on
 * @param {Number} duration   time (in seconds) to spend performing the drag
 *
 * @uses mobile/flick
 * @type mobile
 *
 */

"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var flickRight = function flickRight(selector) {
  var duration = arguments.length <= 1 || arguments[1] === undefined ? 0.3 : arguments[1];

  return this.flick(selector, -0.5, 0, duration);
};

exports["default"] = flickRight;
module.exports = exports["default"];
