/**
 *
 * Put finger on an element (only in mobile context).
 *
 * @param {String} selector element to put finger on
 *
 * @uses property/getLocation, protocol/touchDown
 * @type mobile
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _utilsErrorHandler = require('../utils/ErrorHandler');

var touch = function touch(selector) {
    var _this = this;

    if (!this.isMobile) {
        throw new _utilsErrorHandler.CommandError('touch command is not supported on non mobile platforms');
    }

    return this.getLocation(selector).then(function (val) {
        return _this.touchDown(val.x, val.y);
    });
};

exports['default'] = touch;
module.exports = exports['default'];
