/**
 *
 * Install an app on device.
 *
 * <example>
    :installAppOnDevice.js
    client.installAppOnDevice('/path/to/my/App.app');
 * </example>
 *
 * @param {String} path  path to Android/iOS application
 *
 * @see  https://github.com/appium/appium/blob/master/docs/en/appium-bindings.md#install-app
 * @type appium
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
var installAppOnDevice = function installAppOnDevice(appPath) {
    return this.requestHandler.create({
        path: '/session/:sessionId/appium/device/install_app',
        method: 'POST'
    }, {
        appPath: appPath
    });
};

exports['default'] = installAppOnDevice;
module.exports = exports['default'];
