/**
 *
 * Check if an app is installed.
 *
 * <example>
    :isAppInstalledOnDevice.js
    client.isAppInstalledOnDevice(bundleId);
 * </example>
 *
 * @param {String} bundleId  ID of bundled app
 *
 * @see  https://github.com/appium/appium/blob/master/docs/en/appium-bindings.md#is-installed
 * @type appium
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
var isAppInstalledOnDevice = function isAppInstalledOnDevice(bundleId) {
    return this.requestHandler.create({
        path: '/session/:sessionId/appium/device/app_installed',
        method: 'POST'
    }, {
        bundleId: bundleId
    });
};

exports['default'] = isAppInstalledOnDevice;
module.exports = exports['default'];
