/**
 *
 * lock screen
 *
 * @param {Number} seconds  wait in seconds until lock screen
 *
 * @see  https://github.com/appium/appium/blob/master/docs/en/appium-bindings.md#lock
 * @type appium
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
var lock = function lock() {
    var seconds = arguments.length <= 0 || arguments[0] === undefined ? 0 : arguments[0];

    return this.requestHandler.create({
        path: '/session/:sessionId/appium/device/lock',
        method: 'POST'
    }, {
        seconds: seconds
    });
};

exports['default'] = lock;
module.exports = exports['default'];
