/**
 *
 * Pulls a file from the device.
 *
 * @param {String} path  device path to file
 *
 * @see  https://github.com/appium/appium/blob/master/docs/en/appium-bindings.md#pull-file
 * @type appium
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
var pullFileFromDevice = function pullFileFromDevice(pathOnDevice) {
    return this.requestHandler.create({
        path: '/session/:sessionId/appium/device/pull_file',
        method: 'POST'
    }, {
        path: pathOnDevice
    });
};

exports['default'] = pullFileFromDevice;
module.exports = exports['default'];
