/**
 *
 * set immediate value in app
 *
 * <example>
    :setImmediateValueInApp.js
    client.setImmediateValueInApp(id, value)
 * </example>
 *
 * @type appium
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _utilsErrorHandler = require('../utils/ErrorHandler');

var setImmediateValueInApp = function setImmediateValueInApp(id, value) {
    if (typeof id !== 'string' && typeof id !== 'number' || typeof value === 'function') {
        throw new _utilsErrorHandler.ProtocolError('number or type of arguments don\'t agree with setImmediateValueInApp protocol command');
    }

    return this.requestHandler.create({
        path: '/session/:sessionId/appium/element/' + id + '/value',
        method: 'POST'
    }, {
        value: value
    });
};

exports['default'] = setImmediateValueInApp;
module.exports = exports['default'];
