/**
 *
 * Set network connection.
 *
 * <example>
    :setNetworkConnection.js
    client.setNetworkConnection(type)
 * </example>
 *
 * @type appium
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _utilsErrorHandler = require('../utils/ErrorHandler');

var setNetworkConnection = function setNetworkConnection(type) {
    if (typeof type !== 'object') {
        throw new _utilsErrorHandler.ProtocolError('number or type of arguments don\'t agree with setNetworkConnection protocol command');
    }

    return this.requestHandler.create({
        path: '/session/:sessionId/network_connection',
        method: 'POST'
    }, {
        parameters: {
            type: type
        }
    });
};

exports['default'] = setNetworkConnection;
module.exports = exports['default'];
