/**
 *
 * Double tap on the touch screen using finger motion events.
 *
 * @param {String} ID ID of a WebElement JSON object to route the command to
 *
 * @see http://code.google.com/p/selenium/wiki/JsonWireProtocol#session/:sessionId/touch/doubleclick
 * @type protocol
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _utilsErrorHandler = require('../utils/ErrorHandler');

var touchDoubleClick = function touchDoubleClick(id) {
    if (typeof id !== 'string' && typeof id !== 'number') {
        throw new _utilsErrorHandler.ProtocolError('number or type of arguments don\'t agree with touchDoubleClick protocol command');
    }

    return this.requestHandler.create('/session/:sessionId/touch/doubleclick', {
        element: id.toString()
    });
};

exports['default'] = touchDoubleClick;
module.exports = exports['default'];
