/**
 *
 * Retrieve the list of all window handles available to the session.
 *
 * @returns {String[]} a list of window handles
 *
 * @see https://code.google.com/p/selenium/wiki/JsonWireProtocol#/session/:sessionId/window_handles
 * @type protocol
 *
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var windowHandles = function windowHandles() {
  return this.requestHandler.create('/session/:sessionId/window_handles');
};

exports['default'] = windowHandles;
module.exports = exports['default'];
